package main

import (
	"fmt"
	"net/http"
	"os"

	"mcquay.me/spider"
)

const usage = "lnks <url>"

func main() {
	if len(os.Args) < 2 {
		fmt.Fprintf(os.Stderr, "%s\n", usage)
		os.Exit(1)
	}
	resp, err := http.Get(os.Args[1])
	if err != nil {
		panic(err)
	}
	links, err := spider.URLs(resp.Body)
	if err != nil {
		panic(err)
	}
	for _, l := range links {
		fmt.Println(l)
	}
}
